package com.prolog.cs.base.gsp.service.impl; 

import com.alibaba.fastjson.JSON;
import com.netflix.hystrix.strategy.concurrency.HystrixRequestContext;
import com.prolog.framework.authority.util.HystrixVarUtil;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;
import org.springframework.test.context.web.WebAppConfiguration;

import java.util.ArrayList;
import java.util.List;

@RunWith(SpringRunner.class)
@SpringBootTest
@WebAppConfiguration 
public class GspUnqualifiedLossServiceImplTest { 

    @Autowired
    private GspUnqualifiedLossServiceImpl GspUnqualifiedLossServiceImpl;
    
    @Before
    public void before() throws Exception { 
        HystrixRequestContext context = HystrixRequestContext.initializeContext();
        HystrixVarUtil.setUserKey("kzywms-admin");
    } 
    
    @After
    public void after() throws Exception { 
    } 

    @Test//System.out.println("-----"+JSON.toJSONString(GspUnqualifiedLossServiceImpl.add()));
    public void testAdd() throws Exception { 
        
    } 
    @Test//System.out.println("-----"+JSON.toJSONString(GspUnqualifiedLossServiceImpl.delIds()));
    public void testDelIds() throws Exception { 
        
    } 
    @Test//System.out.println("-----"+JSON.toJSONString(GspUnqualifiedLossServiceImpl.listPage()));
    public void testListPage() throws Exception { 
        
    } 
    @Test//System.out.println("-----"+JSON.toJSONString(GspUnqualifiedLossServiceImpl.findDetailByMstId()));
    public void testFindDetailByMstId() throws Exception { 
        
    } 
    @Test//System.out.println("-----"+JSON.toJSONString(GspUnqualifiedLossServiceImpl.spellGspUnqualifiedLossDVOS()));
    public void testSpellGspUnqualifiedLossDVOS() throws Exception { 
        
    } 
    @Test//System.out.println("-----"+JSON.toJSONString(GspUnqualifiedLossServiceImpl.batchAudit()));
    public void testBatchAudit() throws Exception { 
        
    } 
    @Test//System.out.println("-----"+JSON.toJSONString(GspUnqualifiedLossServiceImpl.oneAudit()));
    public void testOneAudit() throws Exception { 
        
    } 
    @Test//System.out.println("-----"+JSON.toJSONString(GspUnqualifiedLossServiceImpl.isNeedErpAudit()));
    public void testIsNeedErpAudit() throws Exception {
        System.out.println("-----"+JSON.toJSONString(GspUnqualifiedLossServiceImpl.
                isNeedErpAudit("736948213336117248","726069557776748544","745277602469646336")));
    } 
        
} 
